CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_GOALIES` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','HFD','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WIN','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `team_name` VARCHAR(100) COLLATE latin1_general_ci DEFAULT NULL,
  `team_league` VARCHAR(30) COLLATE latin1_general_ci DEFAULT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `starts` TINYINT(3) UNSIGNED DEFAULT NULL,
  `win` TINYINT(3) UNSIGNED DEFAULT NULL,
  `loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `tie` TINYINT(3) UNSIGNED DEFAULT NULL,
  `ot_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_loss` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shots_against` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shutout` TINYINT(3) UNSIGNED DEFAULT NULL,
  `minutes_played` MEDIUMINT(8) UNSIGNED DEFAULT NULL,
  `en_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_goals_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots_against` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pims` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_taken` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_drawn` TINYINT(3) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_SKATERS` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','HFD','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WIN','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `team_name` VARCHAR(100) COLLATE latin1_general_ci DEFAULT NULL,
  `team_league` VARCHAR(30) COLLATE latin1_general_ci DEFAULT NULL,
  `gp` TINYINT(3) UNSIGNED DEFAULT NULL,
  `starts` TINYINT(3) UNSIGNED DEFAULT NULL,
  `goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `plus_minus` TINYINT(4) DEFAULT NULL,
  `pims` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pens_taken` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pens_drawn` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `pp_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `sh_assists` TINYINT(3) UNSIGNED DEFAULT NULL,
  `gw_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `missed_shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `blocked_shots` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `shots_blocked` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `hits` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `times_hit` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fo_wins` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fo_loss` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `so_goals` TINYINT(3) UNSIGNED DEFAULT NULL,
  `so_shots` TINYINT(3) UNSIGNED DEFAULT NULL,
  `giveaways` TINYINT(3) UNSIGNED DEFAULT NULL,
  `takeaways` TINYINT(3) UNSIGNED DEFAULT NULL,
  `atoi` TIME DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_SKATERS_ADVANCED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','HFD','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WIN','WPG','WSH') COLLATE latin1_general_ci NOT NULL,
  `corsi_cf` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `corsi_ca` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `corsi_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `corsi_off_cf` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `corsi_off_ca` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `corsi_off_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `corsi_rel` DECIMAL(4,1) SIGNED DEFAULT NULL,
  `fenwick_ff` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fenwick_fa` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fenwick_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `fenwick_off_ff` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fenwick_off_fa` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `fenwick_off_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `fenwick_rel` DECIMAL(4,1) SIGNED DEFAULT NULL,
  `pdo_sh_gf` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sh_sog` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sh` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo_sv_sv` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sv_sog` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `pdo_sv` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `pdo` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `zs_off_num` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `zs_off_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  `zs_def_num` SMALLINT(5) UNSIGNED DEFAULT NULL,
  `zs_def_pct` DECIMAL(4,1) UNSIGNED DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_GOALIES_HEATMAP` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `shots` VARBINARY(56) DEFAULT NULL,
  `saves` VARBINARY(56) DEFAULT NULL,
  `goals` VARBINARY(56) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_SKATERS_HEATMAP` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `shots` VARBINARY(56) DEFAULT NULL,
  `goals` VARBINARY(56) DEFAULT NULL,
  `hits` VARBINARY(56) DEFAULT NULL,
  `penalties` VARBINARY(56) DEFAULT NULL,
  PRIMARY KEY (`season`,`season_type`,`player_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_GOALIES_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH','_NHL') COLLATE latin1_general_ci NOT NULL,
  `gp` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `starts` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `win` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `loss` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `tie` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `ot_loss` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_loss` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `shots_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `saves` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `save_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `save_pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `save_pct_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `goals_against_avg` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_avg_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals_against_avg_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `shutout` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `minutes_played` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `en_goals_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_goals_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_shots_against` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_saves` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_save_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pims` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pens_taken` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pens_drawn` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_SKATERS_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH','_NHL') COLLATE latin1_general_ci NOT NULL,
  `goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `plus_minus` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pims` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pens_taken` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pens_drawn` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pp_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pp_assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pp_points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sh_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sh_assists` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `sh_points` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `gw_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shots` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shot_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shot_pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `missed_shots` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `blocked_shots` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shots_blocked` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `hits` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `times_hit` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fo_wins` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fo_loss` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fo_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fo_pct_all` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_goals` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_shots` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `so_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `giveaways` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `takeaways` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `atoi` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `shot_pct_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  `fo_pct_qual` TINYINT(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

CREATE TABLE `SPORTS_NHL_PLAYERS_SEASON_SKATERS_ADVANCED_SORTED` (
  `season` YEAR NOT NULL,
  `season_type` ENUM('regular','playoff') COLLATE latin1_general_ci NOT NULL,
  `player_id` SMALLINT(5) UNSIGNED NOT NULL,
  `team_id` ENUM('ANA','ARI','ATL','BOS','BUF','CAR','CGY','CHI','CLB','COL','DAL','DET','EDM','FLA','LA','MIN','MTL','NJ','NSH','NYI','NYR','OTT','PHI','PHO','PIT','SEA','SJ','STL','TB','TOR','UTA','VAN','VGK','WPG','WSH','_NHL') COLLATE latin1_general_ci NOT NULL,
  `corsi_cf` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `corsi_ca` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `corsi_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `corsi_off_cf` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `corsi_off_ca` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `corsi_off_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `corsi_rel` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fenwick_ff` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fenwick_fa` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fenwick_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fenwick_off_ff` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fenwick_off_fa` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fenwick_off_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `fenwick_rel` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pdo_sh_gf` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pdo_sh_sog` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pdo_sh` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pdo_sv_sv` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pdo_sv_sog` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pdo_sv` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `pdo` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `zs_off_num` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `zs_off_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `zs_def_num` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  `zs_def_pct` SMALLINT(5) UNSIGNED NOT NULL DEFAULT 9999,
  PRIMARY KEY (`season`,`season_type`,`player_id`,`team_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;
